package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsArticleCateScrm;
import com.fs.hisStore.vo.FsArticleCateListQueryVO;

/**
 * 文章分类Service接口
 * 
 * @author fs
 * @date 2022-03-25
 */
public interface IFsArticleCateScrmService 
{
    /**
     * 查询文章分类
     * 
     * @param cateId 文章分类ID
     * @return 文章分类
     */
    public FsArticleCateScrm selectFsArticleCateById(Long cateId);

    /**
     * 查询文章分类列表
     * 
     * @param fsArticleCate 文章分类
     * @return 文章分类集合
     */
    public List<FsArticleCateScrm> selectFsArticleCateList(FsArticleCateScrm fsArticleCate);

    /**
     * 新增文章分类
     * 
     * @param fsArticleCate 文章分类
     * @return 结果
     */
    public int insertFsArticleCate(FsArticleCateScrm fsArticleCate);

    /**
     * 修改文章分类
     * 
     * @param fsArticleCate 文章分类
     * @return 结果
     */
    public int updateFsArticleCate(FsArticleCateScrm fsArticleCate);

    /**
     * 批量删除文章分类
     * 
     * @param cateIds 需要删除的文章分类ID
     * @return 结果
     */
    public int deleteFsArticleCateByIds(Long[] cateIds);

    /**
     * 删除文章分类信息
     * 
     * @param cateId 文章分类ID
     * @return 结果
     */
    public int deleteFsArticleCateById(Long cateId);

    List<FsArticleCateListQueryVO> selectFsArticleCateListQuery();
}
